Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::AnimationControllerFunction Class Reference

Predefined controller function for dealing with animation. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::AnimationControllerFunction:

[legend]
List of all members.

## Public Methods

| AnimationControllerFunction (Real sequenceTime, Real timeOffset=0.0f)
| Constructor.
Real | calculate (Real source)
| Overriden function.

## Protected Methods

Real | getAdjustedInput (Real input)
| Gets the input value as adjusted by any delta.

## Protected Attributes

Real | mSeqTime
Real | mTime
bool | mDeltaInput
| If true, function will add imput values together and wrap at 1.0 before evaluating.
Real | mDeltaCount

## Detailed Description

Predefined controller function for dealing with animation.

Definition at line 157 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::AnimationControllerFunction::AnimationControllerFunction | ( | Real | sequenceTime,
|  | Real | timeOffset = 0.0f
| ) |

Constructor.

Parameters:

  sequenceTime | The amount of time in seconds it takes to loop through the whole animation sequence.
  timeOffset | The offset in seconds at which to start (default is start at 0)

Definition at line 196 of file OgrePredefinedControllers.cpp.

References mSeqTime, mTime, and Ogre::Real.

## Member Function Documentation

Real Ogre::AnimationControllerFunction::calculate | ( | Real | source | ) | `[virtual]`

| Overriden function. Implements Ogre::ControllerFunction< Real >. Definition at line 203 of file OgrePredefinedControllers.cpp. References mSeqTime, mTime, and Ogre::Real.

Real Ogre::ControllerFunction< Real >::getAdjustedInput | ( | Real | input | ) | `[protected, inherited]`

| Gets the input value as adjusted by any delta. Reimplemented in Ogre::WaveformControllerFunction. Definition at line 56 of file OgreController.h. Referenced by Ogre::ScaleControllerFunction::calculate().

## Member Data Documentation

Real Ogre::ControllerFunction< Real >::mDeltaCount`[protected, inherited]`

| Definition at line 52 of file OgreController.h. Referenced by Ogre::WaveformControllerFunction::WaveformControllerFunction().

bool Ogre::ControllerFunction< Real >::mDeltaInput`[protected, inherited]`

| If true, function will add imput values together and wrap at 1.0 before evaluating. Definition at line 51 of file OgreController.h. Referenced by Ogre::WaveformControllerFunction::getAdjustedInput().

Real Ogre::AnimationControllerFunction::mSeqTime`[protected]`

| Definition at line 160 of file OgrePredefinedControllers.h. Referenced by AnimationControllerFunction(), and calculate().

Real Ogre::AnimationControllerFunction::mTime`[protected]`

| Definition at line 161 of file OgrePredefinedControllers.h. Referenced by AnimationControllerFunction(), and calculate().

The documentation for this class was generated from the following files:

- OgrePredefinedControllers.h
- OgrePredefinedControllers.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:31 2004